Bug 189899 - Is there any way to get PDL/Graphics/PLplot.pm built?
Is there any way to get PDL/Graphics/PLplot.pm built?
Product: Fedora
Classification: Fedora
Component: perl-PDL (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-04-25 12:38 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-01 11:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-04-25 12:38:51 EDT
Description of problem:

I maintain plplot for FE.  I'm trying to see if it would be possible to build
PDL/Graphics/PLplot.pm.  Current problems:

- perl-PDL would have to BR plplot (core can't depend on extras)
- plplot has a set of tests using the PDL/Graphics/PLplot.pm modules that would
be nice to run, but that would be a circular BR.

Thoughts?  A Frankenstien's monster FE package of just the PLplot.pm module from
perl-PDL and the tests from plplot?
Comment 1 Orion Poplawski 2007-07-30 19:21:20 EDT
Now that Core and Extras has merged, this can be easily done with a simple
BuildRequires: plplot.

Comment 2 Orion Poplawski 2007-08-01 11:41:16 EDT
Closing this in favor of the review bug to get this addressed.

Note You need to log in before you can comment on or make changes to this bug.